Bug 178333 - utmp handling
utmp handling
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2006-01-19 10:27 EST by Matthias Clasen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-15 14:20:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2006-01-19 10:27:44 EST
Ray tells me we need to log a wtmp record upon login.

If we are going to do the necessary utmp parsing, we can at the same time
avoid doing popen("/sbin/runlevel"), which starts to processes just to get 
a small integer, and instead parse the utmp record ourselves.
Comment 1 Ray Strode [halfline] 2007-03-28 12:51:15 EDT
adding to FC7Target
Comment 2 Ray Strode [halfline] 2007-08-15 14:20:32 EDT
This should be a lot better now, closing RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.